package com.yeejoin.amos.boot.module.jyjc.biz.service;

import com.yeejoin.amos.feign.workflow.model.ActWorkflowBatchDTO;
import com.yeejoin.amos.feign.workflow.model.ProcessTaskDTO;
import com.yeejoin.amos.feign.workflow.model.TaskResultDTO;

import java.util.List;

/**
 * @author Administrator
 */
public interface ICmWorkflowService {
    List<ProcessTaskDTO> startBatch(ActWorkflowBatchDTO params);

    ProcessTaskDTO complete(String taskId, TaskResultDTO data);

    ProcessTaskDTO rollBack(String processInstanceId);
}
